> For the complete documentation index, see [llms.txt](https://docs.volven.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.volven.io/api/volven-api/strategy-api/strategy-read-controller.md).

# Strategy Read Controller

## POST /strategies/find

> Returns user's root strategies

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"StrategyResponse":{"properties":{"strategyId":{"type":"string"},"version":{"type":"integer","format":"int32"},"engineVer":{"type":"integer","format":"int32"},"eventTime":{"type":"string","format":"date-time"},"state":{"type":"object","additionalProperties":{"type":"string"}},"uiParams":{"type":"object","additionalProperties":{"type":"object"}},"uiData":{"type":"string"}}},"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/find":{"post":{"tags":["strategy-read-controller"],"summary":"Returns user's root strategies","operationId":"findRootStrategies","parameters":[{"name":"createdByUserId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StrategyResponse"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## POST /strategies/find-families

> Returns user's strategies families

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"StrategyResponse":{"properties":{"strategyId":{"type":"string"},"version":{"type":"integer","format":"int32"},"engineVer":{"type":"integer","format":"int32"},"eventTime":{"type":"string","format":"date-time"},"state":{"type":"object","additionalProperties":{"type":"string"}},"uiParams":{"type":"object","additionalProperties":{"type":"object"}},"uiData":{"type":"string"}}},"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/find-families":{"post":{"tags":["strategy-read-controller"],"summary":"Returns user's strategies families","operationId":"findFamilies","parameters":[{"name":"createdByUserId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StrategyResponse"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## GET /strategies/find/{strategyAppId}

> Returns given strategy

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"StrategyResponse":{"properties":{"strategyId":{"type":"string"},"version":{"type":"integer","format":"int32"},"engineVer":{"type":"integer","format":"int32"},"eventTime":{"type":"string","format":"date-time"},"state":{"type":"object","additionalProperties":{"type":"string"}},"uiParams":{"type":"object","additionalProperties":{"type":"object"}},"uiData":{"type":"string"}}},"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/find/{strategyAppId}":{"get":{"tags":["strategy-read-controller"],"summary":"Returns given strategy","operationId":"findStrategy","parameters":[{"name":"strategyAppId","in":"path","required":true,"schema":{"type":"string"}},{"name":"createdByUserId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StrategyResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## GET /strategies/find/root/{rootId}

> Returns all strategies with given root id

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"StrategyResponse":{"properties":{"strategyId":{"type":"string"},"version":{"type":"integer","format":"int32"},"engineVer":{"type":"integer","format":"int32"},"eventTime":{"type":"string","format":"date-time"},"state":{"type":"object","additionalProperties":{"type":"string"}},"uiParams":{"type":"object","additionalProperties":{"type":"object"}},"uiData":{"type":"string"}}},"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/find/root/{rootId}":{"get":{"tags":["strategy-read-controller"],"summary":"Returns all strategies with given root id","operationId":"findStrategyFamily","parameters":[{"name":"rootId","in":"path","required":true,"schema":{"type":"string"}},{"name":"createdByUserId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StrategyResponse"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.volven.io/api/volven-api/strategy-api/strategy-read-controller.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
